"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@babel/core");
class InlineTransformer {
    constructor(plugins, findBabelConfig = false) {
        this.plugins = plugins;
        this.findBabelConfig = findBabelConfig;
    }
    transform(filepath, content) {
        return __awaiter(this, void 0, void 0, function* () {
            let options = {
                filename: filepath,
                babelrc: this.findBabelConfig,
                plugins: this.plugins
            };
            if (!this.findBabelConfig) {
                options.configFile = this.findBabelConfig;
            }
            let result = yield core_1.transformAsync(content, options);
            if (!result) {
                throw new Error(`[${filepath}] babel transform returned null`);
            }
            return result.code;
        });
    }
}
exports.default = InlineTransformer;
//# sourceMappingURL=InlineTransformer.js.map